#
# spec file for package ghc-hinotify
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name hinotify
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.4
Release:        lp152.3.6
Summary:        Haskell binding to inotify
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-unix-devel
%if %{with tests}
BuildRequires:  ghc-directory-devel
%endif

%description
This library provides a wrapper to the Linux Kernel's inotify feature, allowing
applications to subscribe to notifications when a file is accessed or modified.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Wed Aug 22 2018 psimons@suse.com
- Update hinotify to version 0.4.
  Upstream has not updated the file "CHANGELOG.md" since the last
  release.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Mon May 14 2018 psimons@suse.com
- Update hinotify to version 0.3.10 revision 1.
  - Allow async-2.2.
  - Use `RawFilePath` (`ByteString`) for filenames, from `unix` package.
    Changes the `Event` type and `addWatch` function.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Dec  4 2016 psimons@suse.com
- Update to version 0.3.9 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.3.8.1 revision 0 with cabal2obs.
* Sun Aug  9 2015 mimi.vx@gmail.com
- update to 0.3.8.1
  * Use file system encoding for file names.
* Mon Feb 16 2015 mimi.vx@gmail.com
- initial commit of package ghc-hinotify version 0.3.7
